Skip to main content
`Ctrl`+`K`

# PetscSortInt64

Sorts an array of `PetscInt64` in place in increasing order.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortInt64(PetscCount n, PetscInt64 X[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt64`

## Notes

This function sorts `PetscInt64`s assumed to be in completely random order

## See Also

`PetscSortInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages